Subject: Re: bug#24637: 25.1; non-ascii chars fail to render in Info buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Dec 2016 18:18:02 +0200

> From: Alan Third <[email-masked]>
> Cc: ivan <[email-masked]>,  [email-masked]
> Date: Mon, 19 Dec 2016 11:27:56 +0000
> 
> > Does anyone else see this on OS X (or on any other OS)?
> 
> Just checked and I get the incorrect behaviour with the upper-case UTF-8
> in emacs.info's "Local Variables:" section.

Do you also have an old Texinfo?

> Now I think about it, I'm sure I've seen error messages regarding UTF-8
> being invalid when building... Yup:
> 
> ./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
>   GEN      ../../info/eshell.info
> ./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
>   GEN      ../../info/eudc.info
> ./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
>   GEN      ../../info/efaq.info
> ./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
>   GEN      ../../info/eww.info
> ./../emacs/docstyle.texi:3: warning: unrecognized encoding name `UTF-8'.
>   GEN      ../../info/flymake.info

The name is utf-8, in lower case.  Upper-case will not be recognized.
Coding system names are case-sensitive.

> The only place I can think of right now that has this in upper case
> that might affect the build is:
> 
>     breton:/Users/alan/src/emacs/master>echo $LANG
>     en_GB.UTF-8

That shouldn't matter.  The encoding of an Info file is taken from the
@documentencoding directive in the Texinfo source.